[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TEditPaste.UpdateTarget

Updates the enabled state for the action.

## Declaration

Source position: stdactns.pas line 66

`public procedure TEditPaste.UpdateTarget(`
`Target: TObject`
`); override;`

## Arguments

`Target` |  | Object instance with values examined in the method.

## Description

UpdateTarget is an overridden method used to update values in the action based on settings in the specified Target control. UpdateTarget re-implements the method introduced in the ancestor class.

UpdateTarget sets the value in Enabled to True when values in the Clipboard includes the CF_TEXT content format.

UpdateTarget is called from the UpdateActions method in TCustomForm when actions and action lists are updated during an application idle state.

## See also

TCustomAction.Enabled |  | Enabled - whether this action is able to be used (default is True).
Clipboard |  | Clipboard the function called to access the clipboard with an optional type specifier.
TClipboard.HasFormat |  | Determines whether the specified clipboard format is supported for the clipboard.
TBasicAction.UpdateTarget